function R = computeRadialR(sourcesX, sourcesY, X, Y)
%% computeRadialR computes distances between two sets of points.
%
%  INPUTS:
%   sourcesX, sourcesY: coordinates of first set of points, double [1 x 1 x N]
%   X, Y: coordinates of second set of points, double [J x 1], [1 x K]
%
%  OUTPUTS:
%   R: radial distance between two sets of points, [J x K x N]
%
% © 2020, Viktor Adler, CTU in Prague, adlervik@fel.cvut.cz

R = sqrt((X - sourcesX).^2 + (Y - sourcesY).^2);
end